# List costs

List the monthly cost per each workspace

Endpoint: GET /iacm/api/orgs/{org}/projects/{project}/costs
Version: 1.0
Security: x-api-key

## Query parameters:

  - `start_time` (integer)
    Specify the start time for the query
    Example: 1691150743950

  - `end_time` (integer)
    Specify the end time limit for the query
    Example: 1691150743950

  - `page` (integer)
    Page is the page number to return relative to the page 'limit'.
    Example: 1

  - `limit` (integer)
    Limit is the number of records to return for a page.
    Example: 30

  - `workspaces` (array)
    Filter the workspaces to retrieve the cost
    Example: ["Quia ut dolor qui.","Consequatur hic ad distinctio quia consequatur voluptatem.","Eveniet ducimus repellendus similique nesciunt facilis."]

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "6y"

  - `project` (string, required)
    Project is the project identifier.
    Example: "z4"

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "kwy"

## Response 200 fields (application/json):

  - `pageSize` (integer, required)
    Current page size
    Example: 50

  - `totalItems` (integer, required)
    Total items available
    Example: 1800

  - `totalPages` (integer, required)
    Total pages available
    Example: 36

  - `workspaces` (array)
    Representation of all the workspaces, and cost information
    Example: [{"cost":"12.13","created":1672531200,"currency":"USD","workspace_id":"Unde qui ab rerum.","workspace_name":"Aperiam sapiente hic."},{"cost":"12.13","created":1672531200,"currency":"USD","workspace_id":"Unde qui ab rerum.","workspace_name":"Aperiam sapiente hic."},{"cost":"12.13","created":1672531200,"currency":"USD","workspace_id":"Unde qui ab rerum.","workspace_name":"Aperiam sapiente hic."},{"cost":"12.13","created":1672531200,"currency":"USD","workspace_id":"Unde qui ab rerum.","workspace_name":"Aperiam sapiente hic."}]

  - `workspaces.cost` (string, required)
    The cost associated to the execution metadata
    Example: "12.13"

  - `workspaces.created` (integer, required)
    The epoch time for the cost
    Example: 1672531200

  - `workspaces.currency` (string, required)
    The currency for the cost
    Example: "USD"

  - `workspaces.workspace_id` (string, required)
    Example: "Inventore provident exercitationem ad sunt mollitia placeat."

  - `workspaces.workspace_name` (string, required)
    Example: "Non distinctio culpa aut quidem consequatur facere."

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


